## r-cran-graphlayouts 0.5.0

=== DESCRIPTION ===
Package: graphlayouts
Title: Additional Layout Algorithms for Network Visualizations
Version: 0.5.0
Authors@R: person("David", "Schoch", email = "david.schoch@manchester.ac.uk", role = c("aut", "cre"))
Maintainer: David Schoch <david.schoch@manchester.ac.uk>
Description: Several new layout algorithms to visualize networks are provided which are not part of 'igraph'. 
    Most are based on the concept of stress majorization by Gansner et al. (2004) <doi:10.1007/978-3-540-31843-9_25>. 
    Some more specific algorithms allow to emphasize hidden group structures in networks or focus on specific nodes.
URL: https://github.com/schochastics/graphlayouts
BugReports: https://github.com/schochastics/graphlayouts/issues
Depends: R (>= 3.2.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: igraph, Rcpp
Suggests: oaqc, testthat, ggraph, ggplot2, knitr, rmarkdown
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 6.1.1
NeedsCompilation: yes
Packaged: 2019-08-20 09:47:06 UTC; david
Author: David Schoch [aut, cre]
Repository: CRAN
Date/Publication: 2019-08-20 11:30:09 UTC

=== debian/changelog ===
r-cran-graphlayouts (0.5.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:19 +0100

r-cran-graphlayouts (0.5.0-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Dec 2019 22:42:55 +0100

r-cran-graphlayouts (0.5.0-1) unstable; urgency=medium

  * Initial release (closes: #945074)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Nov 2019 12:14:45 +0100

=== debian/control ===
Source: r-cran-graphlayouts
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-igraph,
               r-cran-rcpp,
               r-cran-rcpparmadillo
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts.git
Homepage: https://cran.r-project.org/package=graphlayouts

Package: r-cran-graphlayouts
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R additional layout algorithms for network visualizations
 Several new layout algorithms to visualize networks are provided which
 are not part of 'igraph'. Most are based on the concept of stress
 majorization by Gansner et al. (2004) <doi:10.1007/978-3-540-31843-
 9_25>. Some more specific algorithms allow one to emphasize hidden group
 structures in networks or focus on specific nodes.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/graphlayouts_([-\d.]*)\.tar\.gz

## r-cran-graphlayouts 0.7.0

=== debian/changelog ===
r-cran-graphlayouts (0.7.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:23:25 +0000

r-cran-graphlayouts (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 28 Apr 2020 10:24:51 +0200

r-cran-graphlayouts (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Mar 2020 10:18:21 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
                r-cran-igraph,
                r-cran-rcpp,
                r-cran-rcpparmadillo
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts.git
 Homepage: https://cran.r-project.org/package=graphlayouts
+Rules-Requires-Root: no
 
 Package: r-cran-graphlayouts
 Architecture: any

## r-cran-graphlayouts 0.7.1

=== DESCRIPTION ===
Package: graphlayouts
Title: Additional Layout Algorithms for Network Visualizations
Version: 0.7.1
Authors@R: person("David", "Schoch", email = "david.schoch@manchester.ac.uk", role = c("aut", "cre"))
Maintainer: David Schoch <david.schoch@manchester.ac.uk>
Description: Several new layout algorithms to visualize networks are provided which are not part of 'igraph'. 
    Most are based on the concept of stress majorization by Gansner et al. (2004) <doi:10.1007/978-3-540-31843-9_25>. 
    Some more specific algorithms allow to emphasize hidden group structures in networks or focus on specific nodes.
URL: http://graphlayouts.schochastics.net/,
        https://github.com/schochastics/graphlayouts
BugReports: https://github.com/schochastics/graphlayouts/issues
Depends: R (>= 3.2.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: igraph, Rcpp
Suggests: oaqc, testthat, ggraph, ggplot2, knitr, rmarkdown
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 7.1.0
NeedsCompilation: yes
Packaged: 2020-10-26 15:17:50 UTC; david
Author: David Schoch [aut, cre]
Repository: CRAN
Date/Publication: 2020-10-26 15:50:02 UTC

=== debian/changelog ===
r-cran-graphlayouts (0.7.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 06 Nov 2020 11:22:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-igraph,

## r-cran-graphlayouts 0.8.0

=== DESCRIPTION ===
Package: graphlayouts
Title: Additional Layout Algorithms for Network Visualizations
Version: 0.8.0
Authors@R: person("David", "Schoch", email = "david@schochastics.net", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-2952-4812"))
Description: Several new layout algorithms to visualize networks are provided which are not part of 'igraph'. 
    Most are based on the concept of stress majorization by Gansner et al. (2004) <doi:10.1007/978-3-540-31843-9_25>. 
    Some more specific algorithms allow to emphasize hidden group structures in networks or focus on specific nodes.
URL: http://graphlayouts.schochastics.net/,
        https://github.com/schochastics/graphlayouts
BugReports: https://github.com/schochastics/graphlayouts/issues
Depends: R (>= 3.2.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: igraph, Rcpp
Suggests: oaqc, testthat, ggraph, ggplot2, knitr, rmarkdown, uwot
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 7.1.2
NeedsCompilation: yes
Packaged: 2022-01-03 13:43:26 UTC; david
Author: David Schoch [aut, cre] (<https://orcid.org/0000-0003-2952-4812>)
Maintainer: David Schoch <david@schochastics.net>
Repository: CRAN
Date/Publication: 2022-01-03 14:50:02 UTC

=== debian/changelog ===
r-cran-graphlayouts (0.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 10 Jan 2022 14:16:05 +0100

r-cran-graphlayouts (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.2
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 23:18:19 +0530

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-igraph,
                r-cran-rcpp,
                r-cran-rcpparmadillo
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts.git
 Homepage: https://cran.r-project.org/package=graphlayouts

## r-cran-graphlayouts 0.8.1

=== debian/changelog ===
r-cran-graphlayouts (0.8.1-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 15 Aug 2022 08:24:52 +0200

## r-cran-graphlayouts 0.8.4

=== debian/changelog ===
r-cran-graphlayouts (0.8.4-1) unstable; urgency=medium

  * New upstream version
  * Ignore test requiring oaqc which is not packaged yet

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2022 12:02:56 +0100

r-cran-graphlayouts (0.8.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2022 11:53:04 +0200

r-cran-graphlayouts (0.8.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 09:26:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-graphlayouts
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts.git
+Homepage: https://cran.r-project.org/package=graphlayouts
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-igraph,
                r-cran-rcpp,
                r-cran-rcpparmadillo
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts.git
-Homepage: https://cran.r-project.org/package=graphlayouts
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-graphlayouts
 Architecture: any

## r-cran-graphlayouts 1.0.0

=== DESCRIPTION ===
Package: graphlayouts
Title: Additional Layout Algorithms for Network Visualizations
Version: 1.0.0
Authors@R: person("David", "Schoch", email = "david@schochastics.net", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-2952-4812"))
Description: Several new layout algorithms to visualize networks are provided which are not part of 'igraph'. 
    Most are based on the concept of stress majorization by Gansner et al. (2004) <doi:10.1007/978-3-540-31843-9_25>. 
    Some more specific algorithms allow the user to emphasize hidden group structures in networks or focus on specific nodes.
URL: http://graphlayouts.schochastics.net/,
        https://github.com/schochastics/graphlayouts
BugReports: https://github.com/schochastics/graphlayouts/issues
Depends: R (>= 3.2.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: igraph, Rcpp
Suggests: oaqc, testthat, ggraph, ggplot2, knitr, rmarkdown, uwot
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 7.2.3
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2023-05-01 07:26:33 UTC; david
Author: David Schoch [aut, cre] (<https://orcid.org/0000-0003-2952-4812>)
Maintainer: David Schoch <david@schochastics.net>
Repository: CRAN
Date/Publication: 2023-05-01 08:00:02 UTC

=== debian/changelog ===
r-cran-graphlayouts (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * lintian-overrides (see lintian bug #1017966)
  * Update patch

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 14:00:06 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
#         r-cran-oaqc
         r-cran-testthat,
         r-cran-ggraph,
         r-cran-ggplot2,
         r-cran-knitr,
         r-cran-rmarkdown,
         r-cran-uwot
Restrictions: allow-stderr

## r-cran-graphlayouts 1.1.0

=== DESCRIPTION ===
Package: graphlayouts
Title: Additional Layout Algorithms for Network Visualizations
Version: 1.1.0
Authors@R: person("David", "Schoch", email = "david@schochastics.net", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-2952-4812"))
Description: Several new layout algorithms to visualize networks are provided which are not part of 'igraph'. 
    Most are based on the concept of stress majorization by Gansner et al. (2004) <doi:10.1007/978-3-540-31843-9_25>. 
    Some more specific algorithms allow the user to emphasize hidden group structures in networks or focus on specific nodes.
URL: https://github.com/schochastics/graphlayouts,
        https://schochastics.github.io/graphlayouts/
BugReports: https://github.com/schochastics/graphlayouts/issues
Depends: R (>= 3.2.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: igraph, Rcpp
Suggests: oaqc, testthat, ggraph, ggplot2, knitr, rmarkdown, uwot
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 7.3.0
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2024-01-19 11:50:49 UTC; david
Author: David Schoch [aut, cre] (<https://orcid.org/0000-0003-2952-4812>)
Maintainer: David Schoch <david@schochastics.net>
Repository: CRAN
Date/Publication: 2024-01-19 12:30:03 UTC

=== debian/changelog ===
r-cran-graphlayouts (1.1.0-2) unstable; urgency=medium

  * Add r-cran-oaqc to Test-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2024 11:15:31 +0100

r-cran-graphlayouts (1.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 23:07:08 +0100

r-cran-graphlayouts (1.0.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 09 Nov 2023 18:04:45 +0100

r-cran-graphlayouts (1.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2023 19:56:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts.git
 Homepage: https://cran.r-project.org/package=graphlayouts
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-oaqc,
        r-cran-testthat,
        r-cran-ggraph,
        r-cran-ggplot2,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-uwot
Restrictions: allow-stderr

## r-cran-graphlayouts 1.1.1

=== debian/changelog ===
r-cran-graphlayouts (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 13 May 2024 09:14:40 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts.git
 Homepage: https://cran.r-project.org/package=graphlayouts
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-graphlayouts 1.2.0

=== debian/changelog ===
r-cran-graphlayouts (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Removed patches as the oaqc package was absorbed by graphlayouts.

 -- Charles Plessy <plessy@debian.org>  Mon, 30 Sep 2024 11:31:44 +0900

## r-cran-graphlayouts 1.2.2

=== DESCRIPTION ===
Package: graphlayouts
Title: Additional Layout Algorithms for Network Visualizations
Version: 1.2.2
Authors@R: person("David", "Schoch", email = "david@schochastics.net", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-2952-4812"))
Description: Several new layout algorithms to visualize networks are provided which are not part of 'igraph'. 
    Most are based on the concept of stress majorization by Gansner et al. (2004) <doi:10.1007/978-3-540-31843-9_25>. 
    Some more specific algorithms allow the user to emphasize hidden group structures in networks or focus on specific nodes.
URL: https://github.com/schochastics/graphlayouts,
        https://schochastics.github.io/graphlayouts/
BugReports: https://github.com/schochastics/graphlayouts/issues
Depends: R (>= 3.6.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: igraph (>= 2.0.0), Rcpp
Suggests: testthat, ggplot2, uwot, oaqc
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2025-01-23 13:37:56 UTC; david
Author: David Schoch [aut, cre] (<https://orcid.org/0000-0003-2952-4812>)
Maintainer: David Schoch <david@schochastics.net>
Repository: CRAN
Date/Publication: 2025-01-23 16:20:06 UTC

=== debian/changelog ===
r-cran-graphlayouts (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 31 Jan 2025 08:35:06 +0900

r-cran-graphlayouts (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 21 Jan 2025 08:24:00 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-igraph,
+               r-cran-igraph (>= 2.0.0),
                r-cran-rcpp,
                r-cran-rcpparmadillo
 Testsuite: autopkgtest-pkg-r

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-ggplot2,
        r-cran-uwot,
        r-cran-oaqc
Restrictions: allow-stderr

## r-cran-graphlayouts 1.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graphlayouts
 Title: Additional Layout Algorithms for Network Visualizations
-Version: 1.2.2
+Version: 1.2.3
 Authors@R: person("David", "Schoch", email = "david@schochastics.net", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0003-2952-4812"))
 Description: Several new layout algorithms to visualize networks are provided which are not part of 'igraph'. 
@@ -18,8 +18,9 @@
 LinkingTo: Rcpp, RcppArmadillo
 RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2025-01-23 13:37:56 UTC; david
-Author: David Schoch [aut, cre] (<https://orcid.org/0000-0003-2952-4812>)
+Packaged: 2026-02-20 20:02:43 UTC; david
+Author: David Schoch [aut, cre] (ORCID:
+    <https://orcid.org/0000-0003-2952-4812>)
 Maintainer: David Schoch <david@schochastics.net>
 Repository: CRAN
-Date/Publication: 2025-01-23 16:20:06 UTC
+Date/Publication: 2026-02-21 06:10:42 UTC

=== debian/changelog ===
r-cran-graphlayouts (1.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 27 Feb 2026 16:08:24 +0900

=== debian/control ===
Source: r-cran-graphlayouts
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-igraph (>= 2.0.0),
 r-cran-rcpp,
 r-cran-rcpparmadillo,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-graphlayouts.git
Homepage: https://cran.r-project.org/package=graphlayouts
Rules-Requires-Root: no

Package: r-cran-graphlayouts
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Additional Layout Algorithms for Network Visualizations
 Several new layout algorithms to visualize networks are
 provided which are not part of 'igraph'. Most are based
 on the concept of stress majorization by Gansner et al.
 (2004) <doi:10.1007/978-3-540-31843-9_25>. Some more specific
 algorithms allow the user to emphasize hidden group structures in
 networks or focus on specific nodes.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-testthat,
 r-cran-ggplot2,
 r-cran-uwot,
 r-cran-oaqc,
